<template>
  <div>

      <div>
        <div class="q-gutter-y-md" style="width: 100%; margin: auto" >
          <template>
            <div class="q-pa-md row">
                  <div class="row no-wrap items-center col-md-9 col-lg-9 col-sm-9">
                    <div class="text-h4 q-ml-md ">Daftar FAQ</div>
                  </div>
                  <div class="col-md-3 col-lg-3 col-sm-3" style="">
                    <q-btn  style="float: right" color="blue" icon="add" label="Tambah FAQ" />
                  </div>
              <div class="area">
              <q-markup-table flat bordered>
                <thead class="bg-grey-5">
                <tr>
                  <th class="text-left judultabel" >No</th>
                  <th class="judultabel" >Kategori</th>
                  <th class="judultabel" >Deskripsi</th>
                  <th class="judultabel" >Status</th>
                  <th class="judultabel" >Masa Berlaku</th>
                  <th class="judultabel" >Last update</th>
                  <th class="judultabelaksi" >Aksi</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                  <td class="">1.</td>
                  <td class="" style="text-align: center">Membuat Saku</td>
                  <td class="" style="text-align: center">Want To Join On Jarkons ?.....</td>
                  <td class="" style="text-align: center">    <br>
                    <q-btn
                      v-for="size in sizes" :key="`btn_size_rd_${size}`"
                      rounded
                      color="primary"
                      :size="size"
                      :label="`Publish`"
                    /></td>
                  <td class="" style="text-align: center">28-01-2020 s/d 10-02-2020</td>
                  <td class="" style="text-align: center">06-03-2020 15:14:11</td>
                  <td class="" style="width:300px">     <q-btn
                    style="width: 80px"
                    padding="5px"
                    color="orange"
                    label="Edit"
                  />
                    <q-btn
                      style="margin-left: 12px; width: 80px"
                      color="red"
                      label="Hapus"
                    />
                    <q-btn
                      style="margin-left: 12px; width: 80px"
                      color="grey-6"
                      label="Unpublis"
                    /></td>
                </tr>
                <tr>
                  <td class="">2.</td>
                  <td class="" style="text-align: center">Blokir  Allun</td>
                  <td class="" style="text-align: center">Butuh Modal ?</td>
                  <td class="" style="text-align: center">    <br>
                    <q-btn
                      v-for="size in sizes" :key="`btn_size_rd_${size}`"
                      rounded
                      color="primary"
                      :size="size"
                      :label="`Unpublish`"
                    /></td>
                  <td class="" style="text-align: center">28-01-2020 s/d 10-02-2020</td>
                  <td class="" style="text-align: center">06-03-2020 15:14:11</td>
                  <td class="" style="width:300px">     <q-btn
                    style="width: 80px"
                    padding="5px"
                    color="orange"
                    label="Edit"
                  />
                  </td>
                </tr>
                <tr>
                  <td class="">3.</td>
                  <td class="" style="text-align: center">Banner Alat Berat</td>
                  <td class="" style="text-align: center">Tentukan Pilihan Alat Beratmu</td>
                  <td class="" style="text-align: center">    <br>
                    <q-btn
                      v-for="size in sizes" :key="`btn_size_rd_${size}`"
                      rounded
                      color="primary"
                      :size="size"
                      :label="`Publish`"
                    /></td>
                  <td class="" style="text-align: center">28-01-2020 s/d 10-02-2020</td>
                  <td class="" style="text-align: center">06-03-2020 15:14:11</td>
                  <td class="" style="width:300px">     <q-btn
                    style="width: 80px"
                    padding="5px"
                    color="orange"
                    label="Edit"
                  />
                    <q-btn
                      style="margin-left: 12px; width: 80px"
                      color="red"
                      label="Hapus"
                    />
                    <q-btn
                      style="margin-left: 12px; width: 80px"
                      color="grey-6"
                      label="Unpublis"
                    /></td>
                </tr>
                </tbody>
              </q-markup-table>
              </div>
            </div>
          </template>

        <p>&nbsp;</p>
      </div>
    </div>

  </div>
  </div>
</template>

<script>

export default {
  data () {
    return {
      sizes: [ 'xs' ],
      icons: [
        'navigation',
        'add_a_photo',
        'camera',
        'camera_front',
        'my_location'
      ]
    }
  }
}

</script>

<style lang="scss" scoped>
.judultabel {
  font-size: 18px;
}

.judultabelaksi {
  font-size: 18px;
  width: 300px;
}

.area {
  width: 100%;
  height: 512px;
  margin: 19px 0px 0 0;
  padding: 37px 13px 507px 34px;
  border-radius: 20px;
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
  border: solid 1px #c4c4c4;
  background-color: #ffffff;

}

</style>




<style lang="sass">
.q-table--no-wrap td
  white-space: normal

.my-sticky-header-table
  /* height or max-height is important */
  height: 310px

  .q-table__top,
  .q-table__bottom,
  thead tr:first-child th
    /* bg color is important for th; just specify one */
    background-color: #c1f4cd

  thead tr th
    position: sticky
    z-index: 1
  thead tr:first-child th
    top: 0

  /* this is when the loading indicator appears */
  &.q-table--loading thead tr:last-child th
    /* height of all previous header rows */
    top: 48px
</style>

